For the complete documentation index, see llms.txt. This page is also available as Markdown.

API

Accessing OA.Report’s data

Our API allows you to search, use, and download data about research works. It's a RESTful JSON API powered by Elasticsearch.

Get a single work

GET https://api.oa.works/report/works/{doi}

e.g api.oa.works/report/works/10.1038/d41586-023-00175-1

some keys omitted for brevity
{
  "DOI": "10.1038/d41586-023-00175-1",
  "subject": [
    "Multidisciplinary"
  ],
  "published_year": 2023,
  "publisher": "Springer Science and Business Media LLC",
  "published_date": "2023-01-20",
  "title": "Confused by open-access policies? These tools can help",
  "journal": "Nature",
  "crossref_license_url_tdm": "https://www.springernature.com/gp/researchers/text-and-data-mining",
  "crossref_license_url_vor": "https://www.springernature.com/gp/researchers/text-and-data-mining",
  "crossref_is_oa": false,
  "oa_status": "closed",
  "has_repository_copy": false,
  "has_oa_locations_embargoed": false,
  "can_archive": true,
  "version": "acceptedVersion",
  "journal_oa_type": "transformative",
  "oadoi_is_oa": false,
  "is_oa": false,
  "authorships": [
    {
      "author_position": "first",
      "author": {
        "id": "https://openalex.org/A4317550833",
        "display_name": "Dalmeet Singh Chawla",
        "orcid": null
      },
      "institutions": [],
      "raw_affiliation_string": ""
    }
  ],
  "concepts": [
    {
      "id": "https://openalex.org/C41008148",
      "display_name": "Computer science",
      "level": 0,
      "score": "0.42289513"
    },
    {
      "id": "https://openalex.org/C108827166",
      "display_name": "Internet privacy",
      "level": 1,
      "score": "0.3720916"
    },
    {
      "id": "https://openalex.org/C144133560",
      "display_name": "Business",
      "level": 0,
      "score": "0.36753693"
    },
    {
      "id": "https://openalex.org/C2522767166",
      "display_name": "Data science",
      "level": 1,
      "score": "0.36399657"
    },
    {
      "id": "https://openalex.org/C136764020",
      "display_name": "World Wide Web",
      "level": 1,
      "score": "0.3449542"
    }
  ],
  "cited_by_count": 0,
  "type": "journal-article",
  "issn": [
    "1476-4687",
    "0028-0836"
  ],
  "updated": 1677419432426,
  "_id": "10.1038_d41586-023-00175-1"
}

Get a list of works

GET https://api.oa.works/report/works/

e.g https://api.oa.works/report/works?q=title:%22Confused%20by%20open%20access%20policies%20These%20tools%20can%20help%22

Path Parameters

Name
Type
Description

terms/{key}

String

lists number of occurances of each string in the provided key

count

String

shortcut to provide only the count of a queries response

sum/{key}

String

adds all the values in the provided key

/keys

String

lists all available keys

Query Parameters

Name
Type
Description

sort

String

Comma-separated list of keys you want your list sorted by. The list is sorted by the order the keys are provided. Prepending :desc to the key to reverse the sort order for that key (:asc is the default).

q

String

Allows you to filter results as desired. Your query (q) supports all elastic search terms such as AND, OR, NOT, brackets and wildcards (*).

size

String

The number of items to return

Default: 10

Limit: 10,000

includes

String

Comma-separated list of keys you want in your response.

Default: all

from

Number

Where to start returning results from.

Default: 0

Limit: 10,000

exclude

String

Comma-separated list of keys you don't want in your response.

Default: none

Get a CSV of works

GET https://api.oa.works/report/works.csv

Supports all the parameters provided in API

Query Parameters

Name
Type
Description

email*

String

Comma-separated list of emails you want to send a download link to your CSV

size

String

Default: 10

Format: number, or all to provide all results (up to a max of 30,000)

Get a list of organizations

GET https://api.oa.works/report/orgs

Supports all the parameters provided in API

Last updated

Was this helpful?